X2Go Bug report logs - #905
package in official X2Go Debian repository depends on deprecated libqt4-gui

version graph

Package: x2godesktopsharing; Maintainer for x2godesktopsharing is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Simon Frei <freisim93@gmail.com>

Date: Sat, 11 Jul 2015 12:25:01 UTC

Severity: normal

Tags: pending

Merged with 1039

Found in versions 3.1.1.2, 3.1.1.2-0~170~ubuntu16.04.1

Fixed in version 3.1.1.3

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#905; Package x2godesktopsharing. (Sat, 11 Jul 2015 12:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to Simon Frei <freisim93@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 11 Jul 2015 12:25:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Simon Frei <freisim93@gmail.com>
To: submit@bugs.x2go.org
Subject: package in official X2Go Debian repository depends on deprecated libqt4-gui
Date: Sat, 11 Jul 2015 14:21:11 +0200
[Message part 1 (text/plain, inline)]
Package:x2godesktopsharing
Version: 3.1.1.2

I tried to install x2godesktopsharing via the official repository for 
debian on stretch which fails due to the dependency libqt4-gui. This 
package name is deprecated, the correct one is libqtgui4. Please replace 
this dependence accordingly - thanks.

Output of command "sudo apt-get install x2godesktopsharing":

Reading package lists...
Building dependency tree...
Reading state information...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 x2godesktopsharing : Depends: libqt4-gui but it is not installable
E: Unable to correct problems, you have held broken packages.


[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#905; Package x2godesktopsharing. (Sun, 12 Jul 2015 01:45:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 12 Jul 2015 01:45:02 GMT) (full text, mbox, link).


Message #10 received at 905@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: 905-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 905@bugs.x2go.org
Subject: X2Go issue (in src:x2godesktopsharing) has been marked as pending for release
Date: Sun, 12 Jul 2015 03:43:55 +0200 (CEST)
tag #905 pending
fixed #905 3.1.1.3
thanks

Hello,

X2Go issue #905 (src:x2godesktopsharing) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2godesktopsharing.git;a=commitdiff;h=e297b55

The issue will most likely be fixed in src:x2godesktopsharing (3.1.1.3).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit e297b55ca72db78760956849b15b5d3d84afb291
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Sun Jul 12 03:43:11 2015 +0200

    debian/control: drop libqt4-gui Depends.
    
    Already handled by shlibs and misc Depends.
    
    Fixes: #905.

diff --git a/debian/changelog b/debian/changelog
index d395843..d4a9081 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,9 @@
 x2godesktopsharing (3.1.1.3-0x2go1) UNRELEASED; urgency=low
 
-  * Continue Development... 
+  [ Mihai Moldovan ]
+  * debian/control:
+    - Drop libqt4-gui Depends. Already handled by shlibs and misc Depends.
+      Fixes: #905.
 
  -- X2Go Release Manager <git-admin@x2go.org>  Fri, 06 Mar 2015 05:14:08 +0100
 


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sun, 12 Jul 2015 01:45:02 GMT) (full text, mbox, link).


Marked as fixed in versions 3.1.1.3. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sun, 12 Jul 2015 01:45:03 GMT) (full text, mbox, link).


Message sent on to Simon Frei <freisim93@gmail.com>:
Bug#905. (Sun, 12 Jul 2015 01:45:03 GMT) (full text, mbox, link).


Marked as found in versions 3.1.1.2-0~170~ubuntu16.04.1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 07 Jun 2016 01:00:01 GMT) (full text, mbox, link).


Merged 1039 905 Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 07 Jun 2016 01:00:01 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#905; Package x2godesktopsharing. (Tue, 07 Jun 2016 01:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 07 Jun 2016 01:30:03 GMT) (full text, mbox, link).


Message #26 received at 905@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager <git-admin@x2go.org>
To: 905-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 905@bugs.x2go.org
Subject: X2Go issue (in src:x2godesktopsharing) has been marked as closed
Date: Tue, 7 Jun 2016 03:28:08 +0200 (CEST)
close #905
thanks

Hello,

we are very hopeful that X2Go issue #905 reported by you
has been resolved in the new release (3.1.1.3) of the
X2Go source project »src:x2godesktopsharing«.

You can view the complete changelog entry of src:x2godesktopsharing (3.1.1.3)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2godesktopsharing.

    http://code.x2go.org/gitweb?p=x2godesktopsharing.git;a=commitdiff;h=c1a5867c31f12a44a6dbbf9317ef44272399fa53;hp=3921c42b13af6a2bef5850c53b9baa420ba46351

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2godesktopsharing.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2godesktopsharing
Version: 3.1.1.3-0x2go1
Status: RELEASE
Date: Tue, 07 Jun 2016 03:12:53 +0200
Fixes: 905 936 993
Changes: 
 x2godesktopsharing (3.1.1.3-0x2go1) RELEASED; urgency=low
 .
   [ Mihai Moldovan ]
   * New upstream version (3.1.1.3):
     - x2godesktopsharing_zh_tw: rename to x2godesktopsharing_zh_tw.ts. Oops.
     - x2godesktopsharing.pro: also rename x2godesktopsharing_zh_tw in project
       file.
     - misc: fix X2GO => X2Go and add "Desktop" where missing. Fixes: #936.
     - sharetray.cpp: fix type issues while calculating time difference. Fixes:
       #993.
     - sharetray.cpp: post-fixup: include stdint.h to get (u)intXX_t types.
       Won't work on Windows, but the desktop sharing application isn't
       supposed to run on Windows anyway...
   * debian/control:
     - Drop libqt4-gui Depends. Already handled by shlibs and misc Depends.
       Fixes: #905.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Tue, 07 Jun 2016 01:30:11 GMT) (full text, mbox, link).


Notification sent to Simon Frei <freisim93@gmail.com>:
Bug acknowledged by developer. (Tue, 07 Jun 2016 01:30:11 GMT) (full text, mbox, link).


Message sent on to Simon Frei <freisim93@gmail.com>:
Bug#905. (Tue, 07 Jun 2016 01:30:13 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 05 Jul 2016 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Oct 17 13:51:06 2021; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.